'''Created on 17 Mar 2023 @author: vnc-console'''

from pypxlib import Table

class Dbtodf(object):
    '''classdocs'''

    def __init__(self, dbp, *kwargs):
        '''Constructor'''
        self.dbp = dbp
        self.kwargs = kwargs
        for key in self.kwargs:
            self.__setattr__(key, [])
    
    def convert_oblig(self):
        with Table(self.dbp) as table: # , Table(nbanks) as nbanks
            all_oblig = []
            for row in table:
                # if row.TipDoc == 1 and row.Rest != 0:
                self.Part.append(row.Part)
                all_oblig.append(self.Part)
                self.TipDoc.append(row.TipDoc)
                all_oblig.append(self.TipDoc)
                self.Cont.append(row.Cont)
                all_oblig.append(self.Cont)
                self.Doc.append(row.Doc)
                all_oblig.append(self.Doc)
                self.NrDoc.append(row.NrDoc)
                all_oblig.append(self.NrDoc)
                self.DataDoc.append(row.DataDoc)
                all_oblig.append(self.DataDoc)
                self.Valoare.append(row.Valoare)
                all_oblig.append(self.Valoare)
                self.Rest.append(row.Rest)
                all_oblig.append(self.Rest)
        return dict(zip(self.kwargs, all_oblig))
    
    def convert_obligf(self):
        with Table(self.dbp) as table: # , Table(nbanks) as nbanks
            all_oblig = []
            for row in table:
                # if row.TipDoc == 1 and row.Rest != 0:
                self.Part.append(row.Part)
                all_oblig.append(self.Part)
                self.TipTranz.append(row.TipTranz)
                all_oblig.append(self.TipTranz)
                self.Cont.append(row.Cont)
                all_oblig.append(self.Cont)
                self.Doc.append(row.Doc)
                all_oblig.append(self.Doc)
                self.NrDoc.append(row.NrDoc)
                all_oblig.append(self.NrDoc)
                self.DataDoc.append(row.DataDoc)
                all_oblig.append(self.DataDoc)
                self.Valoare.append(row.Valoare)
                all_oblig.append(self.Valoare)
                self.Rest.append(row.Rest)
                all_oblig.append(self.Rest)
        return dict(zip(self.kwargs, all_oblig))
    
    def convert_parts(self):
        with Table(self.dbp) as table: # , Table(nbanks) as nbanks
            all_nparts = []
            for row in table:
                # if row.TipDoc == 1:
                self.Cod.append(row.Cod)
                all_nparts.append(self.Cod)
                self.Denumire.append(row.Denumire)
                all_nparts.append(self.Denumire)
                self.CodFiscal.append(row.CodFiscal)
                all_nparts.append(self.CodFiscal)
        return dict(zip(self.kwargs, all_nparts))
    
    def convert_cont(self):
        with Table(self.dbp) as table: # , Table(nbanks) as nbanks
            all_conts = []
            for row in table:
                # print(row.Simbol)
                self.Cod.append(row.Cod)
                all_conts.append(self.Cod)
                self.Simbol.append(row.Simbol)
                all_conts.append(self.Simbol)
        return dict(zip(self.kwargs, all_conts))


if __name__ == '__main__':
    oblig_headers = ['Part', 'TipDoc', 'Doc', 'NrDoc', 'DataDoc', 'Valoare', 'Rest']
    nparts_headres = ['Cod', 'Denumire', 'CodFiscal']
    # args_ = {'one': '11', 'two': 12}
    dbtodf = Dbtodf(*oblig_headers)
    dbtodf.convert()
    print(dbtodf.Part)